/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ParamRecoleccion;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class ParamRecoleccionRender implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ParamRecoleccion tm = (ParamRecoleccion) o;

        Listcell lc = new Listcell(tm.getImporteinicial() == null ? "" : tm.getImporteinicial().setScale(2).toString());
        lc.setParent(lstm);

        lc = new Listcell(tm.getImporteadicional() == null ? "" : tm.getImporteadicional().setScale(2).toString());
        lc.setParent(lstm);


        lstm.setAttribute("data", tm);
    }
}
